<script>
  import {Button} from '$lib/components/button';
  import {GridWrap, GridWrapModifier, GridColumn} from '$lib/components/grid';
  import {Wrap, WrapModifier} from '$lib/components/wrap';
  import {Island, IslandModifier} from '$lib/components/island';

  import PartnersCarousel from './partners-carousel.svelte';

  import {urls} from '$lib/data/urls';
  import longLiveFlossUrl from '$assets/img/svg/long-live-floss.svg?url';
  import laptopAndMouseUrl from '$assets/img/svg/laptop-and-mouse.svg?url';
</script>

<header class="banner">
  <div class="banner__content">
    <Wrap modifiers={[WrapModifier.Larger]}>
      <div class="absolute-context">
        <div class="absolute-context__content absolute-context__content--top-right">
          <img alt="Illustration of fist and text 'Long live floss'" src={longLiveFlossUrl} />
        </div>

        <GridWrap modifiers={[GridWrapModifier.End]}>
          <GridColumn baseWidth="7-of-10" viewportMap={{portable: '1-of-1'}}>
            <h1 class="banner__title">
              Open Source
              <span class="u-fc--primary">Masterclass</span>
            </h1>
          </GridColumn>

          <GridColumn baseWidth="3-of-10" viewportMap={{portable: '1-of-1'}}>
            <img
              class="u-display--none--portable"
              src={laptopAndMouseUrl}
              alt="Illustration of mouse and computer"
            />
          </GridColumn>
        </GridWrap>

        <GridWrap>
          <GridColumn baseWidth="7-of-10" viewportMap={{portable: '1-of-1'}}>
            <p class="banner__sub-title">
              Contribute code to upstream free/libre/opensource projects
            </p>
            <div>
              <Button
                target="_blank"
                href={urls.betaCourse}>
                View beta course
              </Button>
            </div>
          </GridColumn>
        </GridWrap>
      </div>
    </Wrap>

    <Island modifiers={[IslandModifier.SmallestStart]}>
      <PartnersCarousel />
    </Island>
  </div>
</header>
